#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;
using System.Data.SqlClient;

using System.Data.SqlServerCe;
using System.IO;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;
using System.Collections.Specialized;
using Syncfusion.Windows.Forms.Grid.Grouping;
using Syncfusion.Grouping;
using Syncfusion.GridHelperClasses;
using System.Runtime.Serialization;
using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid.Grouping.Localization;

namespace SortingMethods
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : Form
    {
        #region  "API Definitions"

        private GridGroupingControl gridGroupingControl1;
        DataCollection dataSource;
        DataTable dt;
        DataRow dr;
        //GridDynamicFilter filter = new GridDynamicFilter();
        GridExcelFilter filter = new GridExcelFilter();
        #endregion

        #region "Constructor"

        public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

            #region "DataSource"
            dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i <= 100; i++)
            {
                if (i % 2 == 0)
                    dataSource.Add(new Data(r, "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data", true,DateTime.Now.AddDays(i)));
                else
                    dataSource.Add(new Data(r, "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data", false, DateTime.Now.AddDays(i)));
                r = rand.Next(100);
            }
            this.gridGroupingControl1.DataSource = dataSource;
            dt = new DataTable();
            dt.Columns.Add("ID");
            dt.Columns.Add("Value");
            for (int i = 0; i < 10; i++)
            {
                dr = dt.NewRow();
                dr[0] = i;
                dr[1] = "desc" + i;
                dt.Rows.Add(dr);
            }
            // this.gridGroupingControl2.DataSource = dt;
            #endregion

           
            this.gridGroupingControl1.ShowGroupDropArea = false;
            foreach(GridColumnDescriptor col in this.gridGroupingControl1.TableDescriptor.Columns)
            {
                col.AllowFilter = true;
            }

            #region FilterSettings
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;
            filter.WireGrid(gridGroupingControl1);
            filter.EnableDateFilter = true;
            filter.EnableNumberFilter = true;
            #endregion

            this.gridGroupingControl1.AllowProportionalColumnSizing = true;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowCaption = false;
            gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = true;
            gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordAfterDetails = false;
            gridGroupingControl1.Table.DefaultRecordRowHeight = 30;
            //To set the CustomCellModel to grid
            this.gridGroupingControl1.TableModel.CellModels["CheckBox"] = new CustomCheckBoxCellModel(this.gridGroupingControl1.TableModel.Model);
            this.gridGroupingControl1.TableDescriptor.Columns["CheckBox"].Appearance.AnyRecordFieldCell.CellType = "CheckBox";
            
            #region Localization
            Localizer loc = new Localizer();
            LocalizationProvider.Provider = loc;
            #endregion
        }

        #endregion

        #region "Designer Stuffs"
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.gridGroupingControl1 = new Syncfusion.Windows.Forms.Grid.Grouping.GridGroupingControl();
            ((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).BeginInit();
            this.SuspendLayout();
            // 
            // gridGroupingControl1
            // 
            this.gridGroupingControl1.AlphaBlendSelectionColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(120)))), ((int)(((byte)(215)))));
            this.gridGroupingControl1.BackColor = System.Drawing.SystemColors.Window;
            this.gridGroupingControl1.Location = new System.Drawing.Point(0, 0);
            this.gridGroupingControl1.Margin = new System.Windows.Forms.Padding(4, 5, 4, 5);
            this.gridGroupingControl1.Name = "gridGroupingControl1";
            this.gridGroupingControl1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus;
            this.gridGroupingControl1.Size = new System.Drawing.Size(743, 598);
            this.gridGroupingControl1.TabIndex = 0;
            this.gridGroupingControl1.Text = "gridGroupingControl1";
            this.gridGroupingControl1.UseRightToLeftCompatibleTextBox = true;
            this.gridGroupingControl1.VersionInfo = "12.4400.0.24";
            
            // 
            // Form1
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 20F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(902, 600);
            this.Controls.Add(this.gridGroupingControl1);
            this.Margin = new System.Windows.Forms.Padding(4, 5, 4, 5);
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.ShowIcon = false;
            this.Name = "Form1";
            this.Text = "BackColor";
            ((System.ComponentModel.ISupportInitialize)(this.gridGroupingControl1)).EndInit();
            this.ResumeLayout(false);

        }


        #endregion

        #endregion

    }
    #region CustomCheckBocCellModel
    public class CustomCheckBoxCellModel : GridCheckBoxCellModel
    {
        public CustomCheckBoxCellModel(GridModel grid): base(grid)
        {

        }
        public override GridCellRendererBase CreateRenderer(GridControlBase control)
        {
            return new CustomCheckBoxCellRenderer(control, this);
        }
    }
    #endregion

    #region CustomCheckBoxCellRenderer
    public class CustomCheckBoxCellRenderer : GridCheckBoxCellRenderer
    {
        public CustomCheckBoxCellRenderer(GridControlBase grid, GridCellModelBase cellModel) : base(grid, cellModel)
        {
        }
        protected override void DrawCheckBox(Graphics g, Rectangle clientBounds, GridStyleInfo style, ButtonState state, ContentAlignment align, string text, Font font)
        {
            GridTableCellStyleInfo cellStyle = style as GridTableCellStyleInfo;
            if (cellStyle != null && cellStyle.TableCellIdentity != null && cellStyle.TableCellIdentity.DisplayElement.Kind == DisplayElementKind.Record)
            {
                string cellValue = style.CellValue.ToString();
                if (cellValue == "True")
                    g.DrawString("Ja", style.GdipFont, new SolidBrush(style.TextColor), clientBounds);
                if (cellValue == "False")
                    g.DrawString("Nein", style.GdipFont, new SolidBrush(style.TextColor), clientBounds);
            }
        }
    }
    #endregion
}
