﻿using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Grid.Grouping.Localization;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SortingMethods
{
    class Localizer : ILocalizationProvider
    {
        bool comparerList = false;
        bool recordNavigBar = false;
        bool office2007Filter = false;
        bool fieldChooser = false;
        public void getstring(bool s, bool recordNavig, bool office2007, bool fieldChooser)
        {
            comparerList = s;
            recordNavigBar = recordNavig;
            office2007Filter = office2007;
            this.fieldChooser = fieldChooser;
        }
        public string GetLocalizedString(System.Globalization.CultureInfo culture, string name, object obj)
        {
            switch (name)
            {
                case "DateTimeFilters":
                    return "Terminzeit filter";
                case "NumberFilters":
                    return "nummer filter";
                case "Office2007FilterDateEquals":
                    return "gleich";
                case "Office2007Filterbefore":
                    return "Vor";
                case "Office2007Filterafter":
                    return "nach";
                case "Office2007Filterbetween":
                    return "zwischen";
                case "Office2007Filtertomorrow":
                    return "Morgen";
                case "Office2007Filtertoday":
                    return "heute";
                case "Office2007Filteryesterday":
                    return "gestern";
                case "Office2007FilternextWeek":
                    return "for nextweek";
                case "Office2007FilterthisWeek":
                    return "for This week";
                case "Office2007FilterlastWeek":
                    return "for last week";
                case "Office2007FilternextMonth":
                    return "for next month";
                case "Office2007FilterthisMonth":
                    return "for this month";
                case "Office2007FilterlastMonth":
                    return "for last month";
                case "Office2007FilternextQuarter":
                    return "for next quarter";
                case "Office2007FilterthisQuarter":
                    return "for this quarter";
                case "Office2007FilternextYear":
                    return "for next year";
                case "Office2007FilterthisYear":
                    return "for this year";
                case "Office2007FilterlastYear":
                    return "Terminzeit filter";
                case "Office2007FilteryearToDate":
                    return "for year to date";
                case "Office2007FilterallDatesInThePeriod":
                    return "for period";
                case "Office2007FiltercustomDateTimeFilter":
                    return "For Custom date filter";
                case "Office2007Filterquarter1":
                    return "For quarter1";
                case "Office2007Filterquarter2":
                    return "for quarter2";
                case "Office2007Filterquarter3":
                    return "for quarter3";
                case "Office2007Filterquarter4":
                    return "for quarter4";
                case "Office2007Filterjanuary":
                    return "for january";
                case "Office2007Filterfebruary":
                    return "for frbruary";
                case "Office2007Filtermarch":
                    return "for march";
                case "Office2007Filterapril":
                    return "for april";
                case "Office2007Filtermay":
                    return "for may";
                case "Office2007Filterjune":
                    return "for june";
                case "Office2007Filterjuly":
                    return "for july";
                case "Office2007Filteraugust":
                    return "for augest";
                case "Office2007Filterseptember":
                    return "for september";
                case "Office2007Filteroctober":
                    return "for october";
                case "Office2007Filternovember":
                    return "for novermber";
                case "Office2007Filterdecember":
                    return "for december";
                case DynamicFilterResourceIdentifiers.SortAtoZ:
                        return "&SortierenAbisZ";
                case DynamicFilterResourceIdentifiers.SortZtoA:
                        return "S&ortierenZbisA";
                case DynamicFilterResourceIdentifiers.TextFilters:
                        return "&Text-Filter";
                case DynamicFilterResourceIdentifiers.StartsWith:
                        return "empieza con";
                case DynamicFilterResourceIdentifiers.EndsWith:
                        return "termina con";
                case DynamicFilterResourceIdentifiers.Equal:
                        return "es igual a";
                case DynamicFilterResourceIdentifiers.GreaterThan:
                        return "mayor que";
                case DynamicFilterResourceIdentifiers.GreaterThanOrEqualTo:
                        return "Mayor o igual a";
                case DynamicFilterResourceIdentifiers.LessThan:
                        return "menos que";
                case DynamicFilterResourceIdentifiers.LessThanOrEqualTo:
                        return "Menor o igual a";
                case DynamicFilterResourceIdentifiers.Like:
                        return "como";
                case DynamicFilterResourceIdentifiers.Match:
                        return "partido";
                case DynamicFilterResourceIdentifiers.NotEquals:
                        return "no es igual";
                case DynamicFilterResourceIdentifiers.ExpressionMATCH:
                        return "expresión de coincidencia";

                case GroupingResourceIdentifiers.RecordNavigatorOF:
                        return "von";

                // DropDown filter item 

                case DynamicFilterResourceIdentifiers.All:
                    return "(todo)";
                case DynamicFilterResourceIdentifiers.Custom:
                    return "(costumbre...)";
                case DynamicFilterResourceIdentifiers.Empty:
                    return "(vacío)";

                //Drag group column
                case GroupingResourceIdentifiers.DragColumnHeaderHereText:
                    return "Ziehen Sie die Spaltenüberschrift";

                case DynamicFilterResourceIdentifiers.FieldChooser:
                    if (fieldChooser)
                        return "Feldauswahl";
                    else
                        return "FieldChooser";

                case DynamicFilterResourceIdentifiers.FieldDialogBox:
                    if (fieldChooser)
                        return "Dialogfeld Feld";
                    else
                        return "FieldChooser";
                case DynamicFilterResourceIdentifiers.FieldTreeDialogBox:
                    if (fieldChooser)
                        return "Feld Baum Dialogfeld";
                    else
                        return "FieldChooser";

                case DynamicFilterResourceIdentifiers.SelectAll:
                        return "Alle auswählen";
                case DynamicFilterResourceIdentifiers.ClearFilterFrom:
                        return "&Von Filterstundenzähler";
                case DynamicFilterResourceIdentifiers.ShowRowsWhere:
                        return "Zeigt die Zeilen, in denen";
                case DynamicFilterResourceIdentifiers.CustomAutoFilter:
                        return "Benutzerdefinierte Auto Filter";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterLessthan:
                        return "Kleiner als";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterEqual:
                        return "Equal";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterNotequal:
                        return "notEqual";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterGreaterthan:
                        return "Größer als";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterGreaterthanOrEqual:
                        return "Größer oder gleich";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterlessthanOrEqual:
                        return "LessThan oder-gleich-";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterLike:
                        return "wie";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterMatch:
                        return "Spiel";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterBeginsWith:
                        return "Beginntmit";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterEndsWith:
                        return "Endetmit";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterCancel:
                        return "stornieren";
                case DynamicFilterResourceIdentifiers.CustomAutoFilterOK:
                        return "OK";
                case "Office2007FilternumberEqual":
                        return "Gleich ist";
                case "Office2007FilternumberNotEqual":
                        return "Nicht gleich";
                case "Office2007Filtergreater":
                        return "Beginntmit";
                case "Office2007FiltergreaterOrEqual":
                        return "Endetmit";
                case "Office2007Filterlessthan":
                        return "enthält";
                case "Office2007FilterlessOEqual":
                        return "Benutzerdefinierte Filter";
                case "Office2007FilternumberBetween":
                        return "und";
                case "Office2007Filtertop10":
                        return "oben 10";
                case "Office2007FilteraboveAverage":
                    return "überdurchschnittlich Filter";
                case "Office2007FilterbelowAverage":
                    return "unterdurchschnittlich";
                case "Office2007FilternumberCustomFilter":
                    return "Benutzerdefinierter Filter";
                default:
                    return string.Empty;
            }
        }
    }
}
